name: Build startup image

on:
  push:
    branches: [ master ]

env:
  # Use docker.io for Docker Hub if empty
  REGISTRY: cs-registry.ddnss.de
  USER: chris
  PASS: q',\H(Od:G3).Xv<#!5P


jobs:
  Build-and-release-image:

    runs-on: ubuntu-latest

    container:
      image: catthehacker/ubuntu:act-latest

    steps:
      - name: Setup php
        uses: shivammathur/setup-php@v2
        with:
          php-version: '7.4'

      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v2

      - uses: actions/checkout@v3

      - name: Install Dependencies
        run: composer install -q --no-ansi --no-interaction --no-scripts --no-progress --prefer-dist

      - name: Directory Permissions
        run: chmod -R 777 pdf

      - name: Log into registry
        uses: docker/login-action@v3
        with:
          registry: https://cs-git.ddnss.de
          username: ${{ env.USER }}
          password: ${{ env.PASS }}

      - name: Extract Docker metadata
        id: meta
        uses: docker/metadata-action@v5
        with:
          images: cs-git.ddnss.de/ri-st/startup

      - name: Build and push Docker image
        uses: docker/build-push-action@v4
        env:
          ACTIONS_RUNTIME_TOKEN: ''
        with:
          tags: cs-git.ddnss.de/ri-st/startup:latest
          push: true
#          cache-from: type=gha
#          cache-to: type=gha,mode=max
